DevelopersAPIReferencetotalValueUpdates
Update total value update
Update a total value update with the Walletguide REST API. Parameters, response fields, and a playground you can run.
PATCH
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidapplication/json- body
date?stringMatch
^\d{4}-\d{2}-\d{2}$amountValue?stringDecimal amount as a string, up to 4 fraction digits
Match
^-?\d+(\.\d{1,4})?$amountCurrency?stringnotes?string|nullinitialBalance?booleansource?string|nullThe updated total value update
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullassetId*stringFormat
uuiddate*stringamountValue*stringamountCurrency*stringValue in
"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"notes*string|nullinitialBalance*booleansource*string|nullcreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X PATCH 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/totalValueUpdates/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "amountValue": "string", "amountCurrency": "EUR", "notes": "string", "initialBalance": true, "source": "string", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}